// gnome.xonotic.in.ua

textures/base_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/gothic_block/demon_block15fx
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 4 4
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/demon_block15fx.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_block/killblockgeomtrn
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_block/largerblock3blood
{
	{
		map textures/liquids/proto_grueldark2.tga
		blendfunc gl_one gl_zero
		tcmod scale 2 2
		tcmod scroll .01 .03
		tcmod turb 0 0.05 0 .05
	}
	{
		map textures/effects/tinfx3.tga
		blendfunc gl_one gl_one
		tcgen environment
	}
	{
		map textures/gothic_block/largerblock3blood.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_door/skullarch_b
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_door/skullarch_b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_floor/center2trn
{
	{
		map textures/sfx/fireswirl2.tga
		tcmod rotate 333
		tcmod stretch sin .8 0.2 0 9.7
		rgbgen identity
	}
	{
		map textures/gothic_floor/center2trn.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_floor/center2trn.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_floor/largerblock3b_ow
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 4 4
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_floor/largerblock3b_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/pentagram_light1_1k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_trim/metalsupport4b_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4b.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4b.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_trim/pitted_rust2_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust2.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_trim/pitted_rust3_noshadow
{
	surfaceparm trans
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust3.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/liquids/lavahellflat_400
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 400
	cull disable
	tesssize 128
	cull disable
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/sfx/computer_blocks17
{
	surfaceparm nodamage
	q3map_surfacelight 200
	{
		map textures/sfx/computer_blocks17.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap 2 textures/sfx/compscreen/letters1.tga textures/sfx/compscreen/letters2.tga textures/sfx/compscreen/letters3.tga textures/sfx/compscreen/letters5.tga textures/sfx/compscreen/letters4.tga textures/sfx/compscreen/letters5.tga textures/sfx/compscreen/letters5.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame1side.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/skies/dc_q3dm1sky
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	skyparms - 384 -
	{
		map textures/skies/killsky_1.tga
		tcmod scroll 0.05 .1
		tcmod scale 2 2
		depthwrite
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.06
		tcmod scale 3 2
	}
}

textures/skin/chapthroat2
{
	qer_editorimage textures/skin/chapthroat2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/skin/chapthroat2.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

